Facebook Plugin outdated

Bugs will be moved here once resolved.

Post » Wed Oct 21, 2015 2:14 pm

Problem Description
Facebook plugin permissions are broken. so parts of Facebook plugin don't work when requesting certain permissions...

Check Capx provided. I also provided a screenshot.

(A similar error, but with different permissions listed. http://stackoverflow.com/questions/3009 ... cope-error)

Attach a Capx
Capx: https://drive.google.com/file/d/0BzWwtk ... sp=sharing
Screenshot: https://drive.google.com/file/d/0BzWwtk ... sp=sharing

Description of Capx
Once the default facebook plugin loads, it triggers a log in request with the permission "Publish to stream"
That's it, it then shows that error.

Steps to Reproduce Bug
  • Request to log in with "publish to stream" permission.
  • Allow the page to show pop ups (At least I had to...)

Observed Result
You get a error. (Check the screenshot)

Expected Result
I expected it to login with those permissions so I could get them to share something.

Construct 2 Version ID
r215
(Although version shouldn't matter... it's because the FB permissions aren't updated...)

Thanks :D
Justin
Eat ALL THE BACON!
B
47
S
17
G
3
Posts: 290
Reputation: 5,070

Post » Mon Oct 26, 2015 1:04 pm

@Ashley can you take look at this issue?
B
113
S
28
G
48
Posts: 1,882
Reputation: 36,478

Post » Mon Oct 26, 2015 1:28 pm

They update the api every month and its not backwards compatible. To compound the issue you app is tied to the most recent api so an app you made last month may or may not work if you recreate it a month later. The best thing to do is dont hardwire the permissions into the action anymore. Instead have a string in the action that allows for a comma seperated list of permissions. Then the user is responsible for updating the permissions when needed.
www.h1k3.tech

We are here for you!
B
90
S
24
G
16
Posts: 716
Reputation: 17,022

Post » Mon Oct 26, 2015 2:52 pm

I have a few questions:
Say I publish a game with the correct permissions today.
Facebook updates it's API, does it break my game? or only for new projects?

Is there a way to use a string to ask for permission instead of the current method?
Eat ALL THE BACON!
B
47
S
17
G
3
Posts: 290
Reputation: 5,070

Post » Mon Oct 26, 2015 10:06 pm

No the API is forward compatible so if you start an app today than all future Facebook updates will work with it until the particular update expires. Heres how it works.
You start an app today using Facebook 2.5
Facebook gaurantees that each version will be available for x amount of months I think around 16 months.
So you can use the 2.5 api until that 16 months expires.
Once that time expires, your app will be forced to use the newer API say version 30.4 or whatever.
At that point you will need to update any broken parts to the newer version 30.4 API or stop using Facebook.
Now thats your current app.

If you take the exact same copy of your game designed for version 2.5 and install it as a brand new Facebook game in a month or so, you will find that your required to use the latest version in this case version 2.6.
Many of your features will still work from the old app, in fact it may work just fine. Facebook only pushes small changes at a time. However you might find that a persmission had changed or the way you used to post a score has changed just enough to break your code. At which point you'll just need to update your code accorindingly and you will once again be able to use the app.

As for asking for a user defined string of permissions, the official plugin currently doesn't do that. There are third party options, for example I have a plugin that I use for Facebook in order to do some more extensive tasks. These options are not the official plugin though so they are not allowed in places the the Scirra arcade.
www.h1k3.tech

We are here for you!
B
90
S
24
G
16
Posts: 716
Reputation: 17,022

Post » Tue Oct 27, 2015 1:38 am

I currently have one of the 3rd party plugins installed... I did go and check, and it is available there... so I guess I'll use that.

Thanks for explaining that Facebook update system...
Eat ALL THE BACON!
B
47
S
17
G
3
Posts: 290
Reputation: 5,070

Post » Thu Nov 12, 2015 1:15 pm

I've updated the plugin in the next build to use a comma-separated list of permissions. This should allow you to stay up to date with Facebook API changes yourself, as well as adding any other permissions you might need. Hopefully this will resolve it and prevent it being an issue again.
Scirra Founder
B
402
S
238
G
89
Posts: 24,632
Reputation: 196,031

Post » Thu Nov 12, 2015 1:28 pm

My god this is FANTASTIC Ashley :D are you going to update the tutorial? because all the interfaces in the developers side of facebook has changed a lot.
B
41
S
16
G
7
Posts: 1,747
Reputation: 9,957

Post » Thu Nov 12, 2015 2:13 pm

@imothep85 - I'll take a look, but it's already been updated a bunch of times, so I'd expect it would go out of date again soon enough...
Scirra Founder
B
402
S
238
G
89
Posts: 24,632
Reputation: 196,031

Post » Fri Nov 13, 2015 7:54 pm

Awesome Ashley, that's EPIC :D
Eat ALL THE BACON!
B
47
S
17
G
3
Posts: 290
Reputation: 5,070

Next

Return to Closed bugs

Who is online

Users browsing this forum: Google [Bot] and 1 guest